#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-CoSM2lqnB1ZKtaxy3VPNoF
key: crypto-pubkey-0.2.8-CoSM2lqnB1ZKtaxy3VPNoF
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
abi: 81e3f64a9e777cc99284aeb059993c74
exposed: True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-CoSM2lqnB1ZKtaxy3VPNoF
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    crypto-random-0.0.9-2iWQJOC6skvBMAOa2t6pbc
    crypto-pubkey-types-0.4.3-CHputeJF9JQGXcDp8ZWy6C
    cryptohash-0.11.9-2U8R2Lw6pujHMn8zue6cAL
    crypto-numbers-0.2.7-LhlpjxT2M5dKZPHLLTlz7V
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=1b344c82815219929c6d7eafd49ac50e
             crypto-random-0.0.9-2iWQJOC6skvBMAOa2t6pbc=0b2996a103a3a139730008130a2bdbfa
             crypto-pubkey-types-0.4.3-CHputeJF9JQGXcDp8ZWy6C=4c82e7098f5bb37635fde517c7103ed6
             cryptohash-0.11.9-2U8R2Lw6pujHMn8zue6cAL=1a1f9c93e3ef34268637977cd72be59d
             crypto-numbers-0.2.7-LhlpjxT2M5dKZPHLLTlz7V=9db1088024c23f41a7e223f7a4c12eda
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

